curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/version/describe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"context": {},
"id": [
"<string>"
],
"version": 1
}
'{
"version": {
"version": 1,
"manifest_path": "<string>",
"manifest_size": 1,
"e_tag": "<string>",
"timestamp_millis": 123,
"metadata": {}
}
}Describe a specific table version
Describe the detailed information for a specific version of table id.
Returns the manifest path and metadata for the specified version.
curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/version/describe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"context": {},
"id": [
"<string>"
],
"version": 1
}
'{
"version": {
"version": 1,
"manifest_path": "<string>",
"manifest_size": 1,
"e_tag": "<string>",
"timestamp_millis": 123,
"metadata": {}
}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
Query Parameters
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Body
Request to describe a specific table version
Identity information of a request.
Show child attributes
Show child attributes
Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.
REST NAMESPACE ONLY
Context entries are passed via HTTP headers using the naming convention
x-lance-ctx-<key>: <value>. For example, a context entry
{"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.
Show child attributes
Show child attributes
The table identifier
Version number to describe
x >= 0Response
Table version information
Response containing the table version information
The table version information
Show child attributes
Show child attributes
Was this page helpful?